## com.thingmagic
Class Gen2.IDS.SL900A.Delay

    java.lang.Object
      com.thingmagic.Gen2.IDS.SL900A.Delay

Enclosing class:
  Gen2.IDS.SL900A

    public static class Gen2.IDS.SL900A.Delay

extends java.lang.Object

Field Summary
`boolean` `irqTimerEnable`
`Gen2.IDS.SL900A.DelayMode` `mode`
`short` `time`

Constructor Summary
`Gen2.IDS.SL900A.Delay()`

Method Summary
`boolean` `getIrqTimerEnable()`
`Gen2.IDS.SL900A.DelayMode` `getMode()`
`short` `getTime()`
`void` `setIrqTimerEnable(boolean value)`
`void` `setMode(Gen2.IDS.SL900A.DelayMode value)`
`void` `setTime(short value)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mode

    public Gen2.IDS.SL900A.DelayMode mode

### time

    public short time

### irqTimerEnable

    public boolean irqTimerEnable

Constructor Detail

### Gen2.IDS.SL900A.Delay

    public Gen2.IDS.SL900A.Delay()

Method Detail

### getMode

    public Gen2.IDS.SL900A.DelayMode getMode()

### setMode

    public void setMode(Gen2.IDS.SL900A.DelayMode value)

### getTime

    public short getTime()

### setTime

    public void setTime(short value)

### getIrqTimerEnable

    public boolean getIrqTimerEnable()

### setIrqTimerEnable

    public void setIrqTimerEnable(boolean value)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`